package com.ym.mec.biz.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.entity.MemberRankSetting;
import com.ym.mec.common.dal.BaseDAO;

public interface MemberRankSettingDao extends BaseDAO<Integer, MemberRankSetting> {

	List<MemberRankSetting> queryListByIsDefault(@Param("isDefault") Boolean isDefault);

    List<MemberRankSetting> selectBatchIds(@Param("ids") List<Integer> ids);

    List<MemberRankSetting> getNotDelByParentIds(@Param("topIds") List<Integer> topIds);

    void deleteById(@Param("id") Integer id);

    List<MemberRankSetting> getNotDelByIds(@Param("ids") List<Integer> parentIds);

    List<MemberRankSetting> getByIdsAndType(@Param("memberIds") List<Integer> memberIds, @Param("type") String type, @Param("typeId") Integer typeId);
}