package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.PeriodEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
public class MemberPayParamDto extends PayParamBasicDto implements Serializable {

    @ApiModelProperty(value = "用于后台创建的团练宝订单购买",required = false)
    private Long paymentId;

    @ApiModelProperty(value = "购买数量",required = false)
    private Integer val;

    @ApiModelProperty(value = "会员编号",required = false)
    private Integer memberRankId;

    //如果isRepeatPay = true 则需要传入订单号
    private String orderNo;

    @ApiModelProperty(value = "年月日",required = false)
    private PeriodEnum periodEnum;

    //直播房间号
    @ApiModelProperty(value = "直播房间号（用于直播间商品购买）",required = false)
    private String liveId;

    //商品编号
    @ApiModelProperty(value = "直播间商品编号（用于直播间商品购买，目前只支持1和2，1代表免费的云课堂，2代表云教练（送网管课））",required = false)
    private Integer liveGoodsId;
}
