package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class StudentVisitCourseHomeWorkDto {
    @ApiModelProperty(value = "课程id",required = false)
    private Long courseScheduleId;

    @ApiModelProperty(value = "课程类型",required = false)
    private GroupType groupType;

    @ApiModelProperty(value = "课程组id",required = false)
    private String groupId;

    @ApiModelProperty(value = "课程名称",required = false)
    private String courseName;

    @ApiModelProperty(value = "课程组名称",required = false)
    private String groupName;

    @ApiModelProperty(value = "布置老师",required = false)
    private String teacherName;

    @ApiModelProperty(value = "作业内容",required = false)
    private String content;

    @ApiModelProperty(value = "提交状态",required = false)
    private YesOrNoEnum status;

    @ApiModelProperty(value = "是否已经回复",required = false)
    private YesOrNoEnum isReplied;

    @ApiModelProperty(value = "是否已查看")
    private YesOrNoEnum isView;

    @ApiModelProperty(value = "布置时间")
    private Date createTime;
}
